# H:\miniconda3\Scripts\activate tfg1
# cd E:\code\gpts\chat9_complete_mqtt
"""
Main entry point for the chatbot application.

Differences with CHAT8 version:
- Does not have any conversaton memory.
- Implements a new function that loads an empty conversation.
- Does NOT load a conversation from a file at start.
- Does NOT save the conversation to a file at exit.
"""

import myConversations

from pathlib import Path
from myChatbots import AIChatbot

# GLOBAL VARIABLES
STREAM_MODE_ON = False # NOT IMPLEMENTED
TOKEN_USAGE = False # NOT IMPLEMENTED - REQUIRES 'calculate_token_cost' FUNCTION
GPT_MODEL = "gpt-3.5-turbo-0125"


PROJECT_PATH = Path(__file__).resolve().parent
SYSTEM_PROMPT = "Descripción: Eres un asistente personal integrado en un robot humanoide modelo NAO fabricado por la empresa SoftBank Robotics. \
Tu propósito es ejercer de asistente conversacional y de entretenimiento para el usuario. \
Puedes mantener conversaciones, contar chistes, adivinanzas, curiosidades, y mucho más.\n"
SYSTEM_PROMPT+= """INSTRUCCIONES ESTRICTAS:
- PROPORCIONA UNICAMENTE RESPUESTAS DE 25 PALABRAS O MENOS!!.
- UTILIZA UNICAMENTE CARACTERES ASCII."""

options = {
    'stream_mode': STREAM_MODE_ON,
    'token_usage': TOKEN_USAGE,
    'gpt_model': GPT_MODEL,
    'system_prompt': SYSTEM_PROMPT,
    'project_path': PROJECT_PATH
}


def main():
    # Load an empty conversation
    conversation = myConversations.get_empty_conversation(SYSTEM_PROMPT)
    # Create the chatbot object
    chatbot = AIChatbot(conversation, options)
    # Start the chatbot
    input("\nPress Enter to start the chatbot...")
    chatbot.start()


if __name__ == "__main__":
    main()