'''
Settings file for the NAO robot assistant project.
SECTIONS:
    - MQTT SETTINGS
    - GPT CHATBOT SETTINGS
    - NAO ROBOT SETTINGS
'''

# ------------------------- MQTT SETTINGS --------------------------------------
# MQTT BROKER SETTINGS
# MQTT_BROKER = "test.mosquitto.org"
# MQTT_PORT = 1883

# NUC BROKER SETTINGS
MQTT_BROKER = "pc211712"
MQTT_PORT = 1883
MQTT_USERNAME = "eiarob"
MQTT_PASSWORD = "eiarob_UVA"

# MQTT TOPICS
MQTT_TOPICS = {
    'log': 'nao/log',
    'exercise': 'nao/input/exercise',
    'speak': 'nao/input/speak',
    'movement': 'nao/input/movement',
    'speech': 'nao/output/speech',
}


# ------------------------- GPT CHATBOT SETTINGS -------------------------------
STREAM_MODE_ON = False # Stream mode is not implemented yet
TOKEN_USAGE = False # Token usage is not implemented yet - requires 'calculate_token_cost' function

GPT_MODDEL = "gpt-3.5-turbo"
# GPT_MODDEL = "gpt-4"
# GPT_MODDEL = "gpt-4-turbo"
# GPT_MODDEL = "gpt-4o"

# COLOR PRINTING CODES
COLOR_CODE = {
    "system": "red",
    "user": "green",
    "assistant": "light_blue",
    "tool": "magenta",
}



# ------------------------- NAO ROBOT SETTINGS ---------------------------------
# NAO CONNECTION
NAO_IP = "olaf.local"
# NAO_IP = "192.168.0.185"
NAO_PORT = 9559



# NAO BEHAVIORS 
NAO_APP_ID = "nao_eiarob01"
NAO_BEHAVIORS = {
    'neck': 'exercises_neck',
    'hands': 'exercises_hands',
    'shoulders': 'exercises_shoulders',
}
NAO_POSTURES = ()